Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Interface MutableAttributeSet

All Known Subinterfaces:
  Style

All Known Implementing Classes:
  AbstractDocument.AbstractElement, SimpleAttributeSet

public abstract interface MutableAttributeSet
extends AttributeSet

A generic interface for a mutable collection of unique attributes. Implementations will probably want to provide a constructor of the form:`public XXXAttributeSet(ConstAttributeSet source);`

Inner classes inherited from class javax.swing.text.AttributeSet
`AttributeSet.CharacterAttribute, AttributeSet.ColorAttribute, AttributeSet.FontAttribute, AttributeSet.ParagraphAttribute`

Fields inherited from class javax.swing.text.AttributeSet
`NameAttribute, ResolveAttribute`

Method Summary
`void` | `addAttribute(java.lang.Object name, java.lang.Object value)` Creates a new attribute set similar to this one except that it contains an attribute with the given name and value.
`void` | `addAttributes(AttributeSet attributes)` Creates a new attribute set similar to this one except that it contains the given attributes and values.
`void` | `removeAttribute(java.lang.Object name)` Creates a new attribute set similar to this one except that it contains no attribute with the given name.
`void` | `removeAttributes(AttributeSet attributes)` Creates a new attribute set similar to this one except that it contains no attribute with any of the given names and values.
`void` | `removeAttributes(java.util.Enumeration names)` Creates a new attribute set similar to this one except that it contains no attribute with any of the given names.
`void` | `setResolveParent(AttributeSet parent)` Sets the resolving parent.

Methods inherited from interface javax.swing.text.AttributeSet
`containsAttribute, containsAttributes, copyAttributes, getAttribute, getAttributeCount, getAttributeNames, getResolveParent, isDefined, isEqual`

Method Detail

### addAttribute

    public void addAttribute(java.lang.Object name,
                             java.lang.Object value)

  Creates a new attribute set similar to this one except that it contains an attribute with the given name and value. The object must be immutable, or not mutated by any client.
  Parameters:
    `name` - the name
    `value` - the value

### addAttributes

    public void addAttributes(AttributeSet attributes)

  Creates a new attribute set similar to this one except that it contains the given attributes and values.
  Parameters:
    `attributes` - the set of attributes

### removeAttribute

    public void removeAttribute(java.lang.Object name)

  Creates a new attribute set similar to this one except that it contains no attribute with the given name.
  Parameters:
    `name` - the attribute name

### removeAttributes

    public void removeAttributes(java.util.Enumeration names)

  Creates a new attribute set similar to this one except that it contains no attribute with any of the given names.
  Parameters:
    `names` - the set of names

### removeAttributes

    public void removeAttributes(AttributeSet attributes)

  Creates a new attribute set similar to this one except that it contains no attribute with any of the given names and values. Existing attributes with the same name and different value will remain.
  Parameters:
    `attributes` - the set of attributes

### setResolveParent

    public void setResolveParent(AttributeSet parent)

  Sets the resolving parent. This is the set of attributes to resolve through if an attribute isn't defined locally.
  Parameters:
    `parent` - the parent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.